# Interface HttpServletMapping

public interface HttpServletMapping
Represents how the request from which this object was obtained was mapped to the associated servlet.

Since:
  Servlet 4.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MappingMatch`
  `getMappingMatch()`
  `String`
  `getMatchValue()`
  `String`
  `getPattern()`
  `String`
  `getServletName()`

- ## Method Details

  - ### getMatchValue

    String getMatchValue()
    Returns:
      The value that was matched or the empty String if not known.

  - ### getPattern

    String getPattern()
    Returns:
      The `url-pattern` that matched this request or the empty String if not known.

  - ### getServletName

    String getServletName()
    Returns:
      The name of the servlet (as specified in web.xml, `WebServlet.name()`, `ServletContext.addServlet(String, Class)` or one of the other `addServlet()` methods) that the request was mapped to.

  - ### getMappingMatch

    MappingMatch getMappingMatch()
    Returns:
      The type of match (`null` if not known)